snd_power_wait
Prev | Chapter 22. Sound Devices | Next

## Name

snd_power_wait — wait until the power-state is changed.

## Synopsis

`int snd_power_wait (` | struct snd_card * | card,
| unsigned int | power_state`)`;

## Arguments

`card`

  soundcard structure

`power_state`

  expected power state

## Description

Waits until the power-state is changed.

## Note

the power lock must be active before call.

Prev | Up | Next
snd_card_file_remove | Home | snd_dma_program